summaryrefslogtreecommitdiffstats
path: root/system/pcsc-perl/pcsc-perl.SlackBuild
diff options
context:
space:
mode:
author Andrew Psaltis2010-05-13 01:01:02 +0200
committer Robby Workman2010-05-13 01:01:02 +0200
commit56d748afbe8f010316681a6780559ba65e3eae66 (patch)
tree15bfaf3777e591a7fb64698c52a24e2b89ad2c06 /system/pcsc-perl/pcsc-perl.SlackBuild
parent76b6ea8372f796b06acd5690cfd5a276d40a4fd1 (diff)
downloadslackbuilds-56d748afbe8f010316681a6780559ba65e3eae66.tar.gz
system/pcsc-perl: Added to 13.0 repository
Diffstat (limited to 'system/pcsc-perl/pcsc-perl.SlackBuild')
-rw-r--r--system/pcsc-perl/pcsc-perl.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/system/pcsc-perl/pcsc-perl.SlackBuild b/system/pcsc-perl/pcsc-perl.SlackBuild
new file mode 100644
index 0000000000..feb8dfd006
--- /dev/null
+++ b/system/pcsc-perl/pcsc-perl.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for pcsc-perl
+
+# Copyright 2008 Andrew Psaltis <ampsaltis@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=pcsc-perl
+VERSION=1.4.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README LICENCE" # That's how they spell it across the pond...
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xfv $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+chmod u+w,go+r-w,a-s .
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLVENDORMAN3DIR=/usr/man/man3 \
+ OPTIMIZE="$SLKCFLAGS"
+
+make
+make install INSTALLDIRS=vendor DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Strip this package's sole binary, whereever it might be
+find $PKG -name "PCSC.so" -exec strip --strip-uneeded $PKG 2> /dev/null {} \;
+
+# Compress the stuff in the sole man directory
+gzip -9 $PKG/usr/man/man3/*
+
+# Remove perlocal.pod, .packlist, and *.bs from $PKG
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+
+# Remove empty directories (if any)
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-${BUILD}$TAG.${PKGTYPE:-tgz}